Citation Domain
curl --request GET \
--url https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/citations/domains/{domain} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/citations/domains/{domain}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/citations/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"by_model": [
{
"model": "chatgpt.com",
"occurrences": 123
}
],
"by_scenario": [
{
"occurrences": 123,
"scenario_id": 123,
"text": "<string>"
}
],
"by_topic": [
{
"name": "<string>",
"occurrences": 123,
"topic_id": 123
}
],
"domain": "<string>",
"is_first_party": true,
"occurrences": 123,
"over_time": [
{
"cited_occurrences": 123,
"date": "2026-09-28",
"occurrences": 123
}
]
},
"info": {
"query": {}
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}Citations
One cited domain
One domain: its occurrences over time, by topic, by scenario and by engine.
A domain with no citation in the range gives 404.
GET
/
customer
/
v1
/
brands
/
{brand_id}
/
citations
/
domains
/
{domain}
Citation Domain
curl --request GET \
--url https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/citations/domains/{domain} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/citations/domains/{domain}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/citations/domains/{domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"by_model": [
{
"model": "chatgpt.com",
"occurrences": 123
}
],
"by_scenario": [
{
"occurrences": 123,
"scenario_id": 123,
"text": "<string>"
}
],
"by_topic": [
{
"name": "<string>",
"occurrences": 123,
"topic_id": 123
}
],
"domain": "<string>",
"is_first_party": true,
"occurrences": 123,
"over_time": [
{
"cited_occurrences": 123,
"date": "2026-09-28",
"occurrences": 123
}
]
},
"info": {
"query": {}
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}Authorizations
Path Parameters
A domain of the list, such as www.g2.com.
Maximum string length:
253Query Parameters
The answer engines. With no list, each engine.
Minimum array length:
1The answer engines that the public API names.
The platform also runs models of the API of OpenAI for its own work, such
as gpt-4o. A customer does not choose them, thus the public API does not
name them. Each value is a value of dtos.simulation.LlmModel.
Available options:
chatgpt.com, google-ai-overview, perplexity, claude, google-ai-mode, google-gemini, copilot, deepseek, grok, gpt-5.4 Who owns the page, for example competitor_owned.
Minimum array length:
1Categorizes sources based on who owns/publishes the content.
Available options:
first_party, competitor_owned, third_party_editorial, industry_trade_publication, government_regulatory, academic_research, aggregator_marketplace, social_ugc_platform, other What the page is, for example review_editorial.
Minimum array length:
1Categorizes sources based on the type of content on the page.
Available options:
blog_article, product_service_page, review_editorial, review_user_generated, comparison_vs_page, listicle_best_of, news_article, press_release, advertorial, documentation_knowledge_base, case_study, research_paper_report, forum_thread_qa, social_media_post, video, podcast_transcript, wikipedia_encyclopedia, other